Bug 123743 - SLIDESHOW with custom animations: sound is cut off early with Linux
Summary: SLIDESHOW with custom animations: sound is cut off early with Linux
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Slide-Show Custom-Animations
  Show dependency treegraph
 
Reported: 2019-02-27 14:18 UTC by Buovjaga
Modified: 2019-03-01 13:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-02-27 14:18:59 UTC
Follow up for bug 40780

1. Insert a shape
2. Add a custom animation to it in the sidebar
3. Assign a sound for the animation in the effect options
(Make sure the duration for the animation is longer than a fraction of a second)
Comment 1 Commit Notification 2019-02-28 23:24:58 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/71755f36394c1ffbf01af0180a05a258916dd5c9%5E%21

tdf#123743 deactive after the player is stopped.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Buovjaga 2019-03-01 13:30:07 UTC
Confirmed the fix!

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: d559c28e9e65f3be415ec2e36ee90aa147e65b84
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 1 March 2019